diff -uwr source/scripts/jmgrp2.cpp 4.0/source/scripts/jmgrp2.cpp
--- source/scripts/jmgrp2.cpp	2011-08-12 06:39:20.000000000 +0800
+++ 4.0/source/scripts/jmgrp2.cpp	2011-10-11 23:05:24.216796800 +0800
@@ -1,14 +1,5 @@
-
-
-//----------------------------------------------------------------------------------------------------------------------------------------------
-//------RELEASED BEFORE BEING PROPERLY UPDATED TO 4.0, SERVERS SHOULD STILL USE 3.4.4 UNTIL I HAVE THE TIME TO FIX THE ISSUES - JERAD GRAY------
-//----------------------------------------------------------------------------------------------------------------------------------------------
-
-
-
 /*	Renegade Scripts.dll
-	Renegade Role Play 2 Scripts
-	Copyright 2010 Jerad Gray, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -18,7 +9,9 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
-
+//----------------------------------------------------------------------------------------------------------------------------------------------
+//------RELEASED BEFORE BEING PROPERLY UPDATED TO 4.0, SERVERS SHOULD STILL USE 3.4.4 UNTIL I HAVE THE TIME TO FIX THE ISSUES - JERAD GRAY------
+//----------------------------------------------------------------------------------------------------------------------------------------------
 #include "General.h"
 #include "scripts.h"
 #include "engine.h"
@@ -32,6 +25,7 @@
 #include "SoldierGameObj.h"
 #include <float.h>
 #include <time.h>
+#include "VehicleGameObj.h"
 #define VERSION "2.2.9:1.0 Alpha"
 char MAPVERSION[100] = "Not Available";
 #define PLUGINVERSIONNUMBER 3
@@ -13880,16 +13874,14 @@
 		{
 			return;
 		}
-		VectorClass<GameObject *> *ptr = (VectorClass<GameObject *>*)(obj+0x9AC);
-		VectorClass<GameObject *> occupants = (VectorClass<GameObject *>)*ptr;
-		int x = occupants.Length();
+		int x = obj->As_VehicleGameObj()->Get_Occupant_Count();
 		for (int i = 0;i < x;i++)
 		{
-			if (occupants[i])
+			if (obj->As_VehicleGameObj()->Get_Occupant(i))
 			{
 				ActionParamsStruct params;
 				params.Set_Basic((long)0,100,39);
-				Commands->Action_Enter_Exit(occupants[i],params);
+				Commands->Action_Enter_Exit(obj->As_VehicleGameObj()->Get_Occupant(i),params);
 			}
 		}
 		Commands->Enable_Vehicle_Transitions(obj,true);
@@ -20440,16 +20432,14 @@
 		{
 			return;
 		}
-		VectorClass<GameObject *> *ptr = (VectorClass<GameObject *>*)(obj+0x9AC);
-		VectorClass<GameObject *> occupants = (VectorClass<GameObject *>)*ptr;
-		int x = occupants.Length();
+		int x = obj->As_VehicleGameObj()->Get_Occupant_Count();
 		for (int i = 0;i < x;i++)
 		{
-			if (occupants[i])
+			if (obj->As_VehicleGameObj()->Get_Occupant(i))
 			{
 				ActionParamsStruct params;
 				params.Set_Basic((long)0,100,39);
-				Commands->Action_Enter_Exit(occupants[i],params);
+				Commands->Action_Enter_Exit(obj->As_VehicleGameObj()->Get_Occupant(i),params);
 			}
 		}
 		Commands->Enable_Vehicle_Transitions(obj,true);
@@ -25044,7 +25034,7 @@
 		return 0;
 	}
 	WeaponBagClass *w = ((ArmedGameObj *)o)->Get_Weapon_Bag();
-	if (w->Peek_Weapon(position))
+	if ((position) && (position < w->Get_Count()))
 	{
 		return (w->Peek_Weapon(position)->Get_Definition()->IconNameID);
 	}
@@ -30316,16 +30306,14 @@
 		{
 			return;
 		}
-		VectorClass<GameObject *> *ptr = (VectorClass<GameObject *>*)(obj+0x9AC);
-		VectorClass<GameObject *> occupants = (VectorClass<GameObject *>)*ptr;
-		int x = occupants.Length();
+		int x = obj->As_VehicleGameObj()->Get_Occupant_Count();
 		for (int i = 0;i < x;i++)
 		{
-			if (occupants[i])
+			if (obj->As_VehicleGameObj()->Get_Occupant(i))
 			{
 				ActionParamsStruct params;
 				params.Set_Basic((long)0,100,39);
-				Commands->Action_Enter_Exit(occupants[i],params);
+				Commands->Action_Enter_Exit(obj->As_VehicleGameObj()->Get_Occupant(i),params);
 			}
 		}
 		Commands->Enable_Vehicle_Transitions(obj,true);
@@ -33401,9 +33389,9 @@
 			}
 			else if (_stricmp("Weapon_Flamethrower",weap))
 			{
-				AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(weap,1);
-				AmmoDefinitionClass *SecondaryAmmo = Get_Weapon_Ammo_Definition(weap,0);
-				ExplosionDefinitionClass *Explosion;
+				const AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(weap,1);
+				const AmmoDefinitionClass *SecondaryAmmo = Get_Weapon_Ammo_Definition(weap,0);
+				const ExplosionDefinitionClass *Explosion;
 				Explosion = Get_Explosion(Get_Definition_Name(PrimaryAmmo->ExplosionDefID));
 				if (!Explosion)
 				{
@@ -33474,10 +33462,10 @@
 			{
 				if (_stricmp("Weapon_Hot_Air_Balloon",weap))
 				{
-					ExplosionDefinitionClass *Explosion;
+					const ExplosionDefinitionClass *Explosion;
 
-					AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(weap,1);
-					AmmoDefinitionClass *SecondaryAmmo = Get_Weapon_Ammo_Definition(weap,0);
+					const AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(weap,1);
+					const AmmoDefinitionClass *SecondaryAmmo = Get_Weapon_Ammo_Definition(weap,0);
 
 					Explosion = Get_Explosion(Get_Definition_Name(PrimaryAmmo->ExplosionDefID));
 					if (!Explosion)
@@ -40386,7 +40374,7 @@
 			{
 				Commands->Select_Weapon(AI,ANode->WeaponName);
 				Set_Clip_Bullets(AI,ANode->WeaponName,-1);
-				AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(ANode->WeaponName,1);
+				const AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(ANode->WeaponName,1);
 				if (PrimaryAmmo)
 				{	
 					Range = PrimaryAmmo->Range;
@@ -40408,7 +40396,7 @@
 		const char *MyWeapon = Get_Current_Weapon(AI);
 		if (MyWeapon)
 		{
-			AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(MyWeapon,1);
+			const AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(MyWeapon,1);
 			if (PrimaryAmmo)
 			{	
 				Range = PrimaryAmmo->Range;
@@ -40542,7 +40530,7 @@
 			const char *MyWeapon = Get_Current_Weapon(AI);
 			if (MyWeapon)
 			{
-				AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(MyWeapon,1);
+				const AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(MyWeapon,1);
 				if (PrimaryAmmo)
 				{	
 					Range = PrimaryAmmo->Range;
@@ -40633,7 +40621,7 @@
 			{
 				Commands->Select_Weapon(AI,ANode->WeaponName);
 				Set_Clip_Bullets(AI,ANode->WeaponName,-1);
-				AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(ANode->WeaponName,1);
+				const AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(ANode->WeaponName,1);
 				if (PrimaryAmmo)
 				{	
 					Range = PrimaryAmmo->Range;
@@ -40655,7 +40643,7 @@
 		const char *MyWeapon = Get_Current_Weapon(AI);
 		if (MyWeapon)
 		{
-			AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(MyWeapon,1);
+			const AmmoDefinitionClass *PrimaryAmmo = Get_Weapon_Ammo_Definition(MyWeapon,1);
 			if (PrimaryAmmo)
 			{	
 				Range = PrimaryAmmo->Range;
diff -uwr source/scripts/jmgrp2.h 4.0/source/scripts/jmgrp2.h
--- source/scripts/jmgrp2.h	2011-04-11 12:22:58.000000000 +0800
+++ 4.0/source/scripts/jmgrp2.h	2011-10-14 22:27:32.057617100 +0800
@@ -1,6 +1,5 @@
-/*	Renegade Roll Play 2 Scripts by Jerad Gray
-	Scripts by Jerad Gray
-	Copyright 2010 Jerad Gray, Jonathan Wilson
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 // Back to Jeradcode
 
diff -uwr source/scripts/kak.cpp 4.0/source/scripts/kak.cpp
--- source/scripts/kak.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/kak.cpp	2011-10-11 23:05:59.489257800 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by Vloktboky
-	Copyright 2010 Vloktboky, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/kak.h 4.0/source/scripts/kak.h
--- source/scripts/kak.h	2010-04-14 10:13:26.000000000 +0800
+++ 4.0/source/scripts/kak.h	2011-10-14 22:27:31.949218700 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by Vloktboky
-	Copyright 2010 Vloktboky, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class KAK_Warp_On_Pickup : public ScriptImpClass {
 	void Custom(GameObject *obj,int type,int param,GameObject *sender);
 };
diff -uwr source/scripts/kamuix.cpp 4.0/source/scripts/kamuix.cpp
--- source/scripts/kamuix.cpp	2011-04-11 13:06:10.000000000 +0800
+++ 4.0/source/scripts/kamuix.cpp	2011-10-11 23:05:57.780273400 +0800
@@ -1,13 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by Kamuix
-	Copyright 2010 Kamuix, Tom "Dante" Anderson, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
 	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "general.h"
diff -uwr source/scripts/kamuix.h 4.0/source/scripts/kamuix.h
--- source/scripts/kamuix.h	2010-04-14 10:13:26.000000000 +0800
+++ 4.0/source/scripts/kamuix.h	2011-10-14 22:27:32.090820300 +0800
@@ -1,15 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by Kamuix
-	Copyright 2010 Kamuix, Tom "Dante" Anderson, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
 	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class Kamuix_PAMSG_Zone : public ScriptImpClass {
 	void Entered(GameObject *obj,GameObject *enterer);
 };
diff -uwr source/scripts/matrix4.cpp 4.0/source/scripts/matrix4.cpp
--- source/scripts/matrix4.cpp	2009-05-26 18:25:20.000000000 +0800
+++ 4.0/source/scripts/matrix4.cpp	2011-10-11 23:05:51.033203100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "Matrix4.h"
 #include "plane.h"
diff -uwr source/scripts/matrix4.h 4.0/source/scripts/matrix4.h
--- source/scripts/matrix4.h	2010-05-31 13:32:32.000000000 +0800
+++ 4.0/source/scripts/matrix4.h	2011-10-11 21:50:21.719726500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MATRIX4_H
 #define TT_INCLUDE__MATRIX4_H
 #include "Vector4.h"
diff -uwr source/scripts/mdb.cpp 4.0/source/scripts/mdb.cpp
--- source/scripts/mdb.cpp	2011-06-06 00:38:00.000000000 +0800
+++ 4.0/source/scripts/mdb.cpp	2011-10-11 23:05:49.406250000 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Misc. Scripts by WhiteDragon(MDB)
-	Copyright 2010 Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/mdb.h 4.0/source/scripts/mdb.h
--- source/scripts/mdb.h	2011-06-06 00:38:00.000000000 +0800
+++ 4.0/source/scripts/mdb.h	2011-10-14 22:27:31.916015600 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Misc. Scripts by WhiteDragon(MDB)
-	Copyright 2010 Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 #include "PurchaseSettingsDefClass.h"
 #include "TeamPurchaseSettingsDefClass.h"
 
diff -uwr source/scripts/mdbdef.cpp 4.0/source/scripts/mdbdef.cpp
--- source/scripts/mdbdef.cpp	2011-01-07 22:06:12.000000000 +0800
+++ 4.0/source/scripts/mdbdef.cpp	2011-10-11 23:05:47.966796800 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Base Defense Scripts by WhiteDragon(MDB)
-	Copyright 2010 Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -22,6 +21,7 @@
 {
 	State = 1;
 	Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,0,false);
+	obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 	Commands->Enable_Hibernation(obj,false);
 	Commands->Innate_Enable(obj);
 	Commands->Enable_Enemy_Seen(obj,true);
@@ -50,6 +50,7 @@
 				{
 					State = 2;
 					Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
+					obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 					if (_stricmp(Get_Parameter("Sound"),"0"))
 					{
 						Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(obj),obj);
@@ -125,6 +126,7 @@
 			if ((int)(The_Game()->Get_Game_Duration_S() - LastAttack)+1 >= Get_Int_Parameter("ReturnTime"))
 			{
 				Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,Get_Float_Parameter("LastFrame"),0,false);
+				obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 				if (_stricmp(Get_Parameter("Sound"),"0"))
 				{
 					Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(obj),obj);
@@ -205,6 +207,7 @@
 {
 	State = 1;
 	Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,0,false);
+	obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 	Commands->Enable_Hibernation(obj,false);
 	Commands->Innate_Enable(obj);
 	Commands->Enable_Enemy_Seen(obj,true);
@@ -232,6 +235,7 @@
 				{
 					State = 2;
 					Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
+					obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 					if (_stricmp(Get_Parameter("Sound"),"0"))
 					{
 						Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(obj),obj);
@@ -299,6 +303,7 @@
 			if ((int)(The_Game()->Get_Game_Duration_S() - LastAttack)+1 >= Get_Int_Parameter("ReturnTime"))
 			{
 				Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,Get_Float_Parameter("LastFrame"),0,false);
+				obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 				if (_stricmp(Get_Parameter("Sound"),"0"))
 				{
 					Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(obj),obj);
@@ -336,6 +341,7 @@
 {
 	State = 1;
 	Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,0,false);
+	obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 	Commands->Enable_Hibernation(obj,false);
 	Commands->Innate_Enable(obj);
 	Commands->Enable_Enemy_Seen(obj,true);
@@ -362,6 +368,7 @@
 			{
 				State = 2;
 				Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
+				obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 				if (_stricmp(Get_Parameter("Sound"),"0"))
 				{
 					Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(obj),obj);
@@ -436,6 +443,7 @@
 			if ((int)(The_Game()->Get_Game_Duration_S() - LastAttack)+1 >= Get_Int_Parameter("ReturnTime"))
 			{
 				Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,Get_Float_Parameter("LastFrame"),0,false);
+				obj->Set_Object_Dirty_Bit(NetworkObjectClass::BIT_RARE,true);
 				if (_stricmp(Get_Parameter("Sound"),"0"))
 				{
 					Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(obj),obj);
diff -uwr source/scripts/mdbdef.h 4.0/source/scripts/mdbdef.h
--- source/scripts/mdbdef.h	2010-05-25 22:03:52.000000000 +0800
+++ 4.0/source/scripts/mdbdef.h	2011-10-14 22:27:32.163085900 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Base Defense Scripts by WhiteDragon(MDB)
-	Copyright 2010 Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class MDB_Base_Defense_Popup_No_VTOL : public ScriptImpClass {
 public:
diff -uwr source/scripts/mdbevf.cpp 4.0/source/scripts/mdbevf.cpp
--- source/scripts/mdbevf.cpp	2011-04-25 13:36:08.000000000 +0800
+++ 4.0/source/scripts/mdbevf.cpp	2011-10-11 23:05:46.441406200 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Expanded Vehicle Factory set of Scripts by WhiteDragon(MDB)
-	Copyright 2010 Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/mdbevf.h 4.0/source/scripts/mdbevf.h
--- source/scripts/mdbevf.h	2011-04-25 12:03:56.000000000 +0800
+++ 4.0/source/scripts/mdbevf.h	2011-10-14 22:27:32.022460900 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Expanded Vehicle Factory set of Scripts by WhiteDragon(MDB)
-	Copyright 2010 Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 #define NOT_DISABLED 0
 #define DISABLED_EVF 1 
diff -uwr source/scripts/multilist.h 4.0/source/scripts/multilist.h
--- source/scripts/multilist.h	2010-08-22 12:54:46.000000000 +0800
+++ 4.0/source/scripts/multilist.h	2011-10-11 21:49:56.701171800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef SCRIPTS_INCLUDE__MULTILIST_H_
 #define SCRIPTS_INCLUDE__MULTILIST_H_
 
diff -uwr source/scripts/neo.cpp 4.0/source/scripts/neo.cpp
--- source/scripts/neo.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/neo.cpp	2011-10-11 23:05:42.591796800 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by Joshua "NeoSaber" Kraft
-	Copyright 2010 Joshua "NeoSaber" Kraft, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/neo.h 4.0/source/scripts/neo.h
--- source/scripts/neo.h	2010-04-14 10:13:28.000000000 +0800
+++ 4.0/source/scripts/neo.h	2011-10-14 22:27:31.954101500 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by Joshua "NeoSaber" Kraft
-	Copyright 2010 Joshua "NeoSaber" Kraft, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class Neo_CreateObject_RandomTimer : public ScriptImpClass {
 	void Created(GameObject *obj);
 	void Timer_Expired(GameObject *obj,int number);
diff -uwr source/scripts/nh.cpp 4.0/source/scripts/nh.cpp
--- source/scripts/nh.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/nh.cpp	2011-10-11 23:05:40.964843700 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by NameHunter
-	Copyright 2010 NameHunter, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/nh.h 4.0/source/scripts/nh.h
--- source/scripts/nh.h	2010-04-14 10:13:28.000000000 +0800
+++ 4.0/source/scripts/nh.h	2011-10-14 22:27:31.979492100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by NameHunter
-	Copyright 2010 NameHunter, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class NH_Spawn_Object_On_Poke : public ScriptImpClass {
 	int spawn;
 	void Created(GameObject *obj);
diff -uwr source/scripts/nhp.cpp 4.0/source/scripts/nhp.cpp
--- source/scripts/nhp.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/nhp.cpp	2011-10-11 23:05:39.548828100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	More scripts by NameHunter
-	Copyright 2010 NameHunter, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/nhp.h 4.0/source/scripts/nhp.h
--- source/scripts/nhp.h	2010-04-14 10:13:28.000000000 +0800
+++ 4.0/source/scripts/nhp.h	2011-10-14 22:27:32.150390600 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	More scripts by NameHunter
-	Copyright 2010 NameHunter, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class NHP_Smart_Targetting : public ScriptImpClass {
 	void Enemy_Seen(GameObject *obj,GameObject *enemy);
 	void Created(GameObject *obj);
diff -uwr source/scripts/obboxclass.h 4.0/source/scripts/obboxclass.h
--- source/scripts/obboxclass.h	2011-06-15 19:50:40.000000000 +0800
+++ 4.0/source/scripts/obboxclass.h	2011-10-11 21:49:29.126953100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_OBBOXCLASS_H
 #define TT_INCLUDE_OBBOXCLASS_H
 #include "Matrix3.h"
diff -uwr source/scripts/obelfix.cpp 4.0/source/scripts/obelfix.cpp
--- source/scripts/obelfix.cpp	2011-08-20 10:06:48.000000000 +0800
+++ 4.0/source/scripts/obelfix.cpp	2011-10-11 23:05:37.586914000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 #include "scripts.h"
 #include "obelfix.h"
diff -uwr source/scripts/obelfix.h 4.0/source/scripts/obelfix.h
--- source/scripts/obelfix.h	2011-08-20 10:06:48.000000000 +0800
+++ 4.0/source/scripts/obelfix.h	2011-10-14 22:27:32.155273400 +0800
@@ -1,3 +1,15 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
+#pragma once
 class Nod_Obelisk_CnC : public ScriptImpClass {
 	int WeaponID;
 
diff -uwr source/scripts/physcoltest.h 4.0/source/scripts/physcoltest.h
--- source/scripts/physcoltest.h	2009-11-09 18:37:34.000000000 +0800
+++ 4.0/source/scripts/physcoltest.h	2011-10-11 21:49:13.675781200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PHYSCOLTEST_H
 #define TT_INCLUDE_PHYSCOLTEST_H
 #include "coltest.h"
diff -uwr source/scripts/physinttest.h 4.0/source/scripts/physinttest.h
--- source/scripts/physinttest.h	2009-11-09 18:58:08.000000000 +0800
+++ 4.0/source/scripts/physinttest.h	2011-10-11 21:48:56.392578100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PHYSINTTEST_H
 #define TT_INCLUDE_PHYSINTTEST_H
 #include "inttest.h"
